﻿using UnityEngine;
using System.Collections;

public class BallExplosion : MonoBehaviour 
{
	
	public delegate void BallExplosionEventHandler(ParticleSystem particleSystem);
	public event BallExplosionEventHandler OnBallExplosionDidFinish;
	
	private bool didStartExploding = false;
	
	public void PlayExplosion()
	{
		didStartExploding = true;
		particleSystem.Play();
	}
	
	public void Update()
	{
		if (didStartExploding)
		{
			if (!particleSystem.IsAlive())
			{
				didStartExploding = false;
				if (OnBallExplosionDidFinish != null)
				{
					OnBallExplosionDidFinish(particleSystem);
				}
			}
		}
	}
	
}
