﻿using UnityEngine;

public class PlayerScript : MonoBehaviour 
{
	
	enum paddleDirection
	{
		left,
		right,
		clear
	};
	
	public float movementSpeed = 20.0f;
	
	private paddleDirection lockedDirection;
	private paddleDirection currentMovement;
	
	
	void Update()
	{
		
		if (Input.GetKey(KeyCode.LeftArrow) && lockedDirection != paddleDirection.left)
		{
			transform.position = new Vector3 (transform.position.x - Time.deltaTime * movementSpeed, transform.position.y, transform.position.z);
			currentMovement = paddleDirection.left;
			unlockPaddleDirection(paddleDirection.right);
		}
		else if (Input.GetKey(KeyCode.RightArrow) && lockedDirection != paddleDirection.right)
		{
			transform.position = new Vector3 (transform.position.x + (Time.deltaTime * movementSpeed), transform.position.y, transform.position.z);
			currentMovement = paddleDirection.right;
			unlockPaddleDirection(paddleDirection.left);
		}
	}
	
	void OnTriggerEnter()
	{
		lockPaddleDirection(currentMovement);
	}
	
	private void lockPaddleDirection(paddleDirection direction)
	{
		lockedDirection = direction;
	}
	
	private void unlockPaddleDirection(paddleDirection direction)
	{
		lockedDirection = paddleDirection.clear;
	}
	
}

