﻿using UnityEngine;

public class RandomLightColor : MonoBehaviour 
{
	public float secondsPerColor = 5.0f;
	private Color endColor;
	private Color startColor;
	private Light pointLight;
	private float currentTimeDuration = 0;
	
	// Use this for initialization
	void Start () 
	{
		pointLight = GetComponent<Light>();
		startColor = pointLight.color;
	}
	
	// Update is called once per frame
	void Update () 
	{
		if (currentTimeDuration <= secondsPerColor)
		{
			pointLight.color = Color.Lerp(startColor, endColor, currentTimeDuration / secondsPerColor);
			currentTimeDuration += Time.deltaTime;
		}
		else
		{
			float red = Random.Range (0, 1.0f);
			float green = Random.Range(0, 1.0f);
			float blue = Random.Range (0, 1.0f);
			startColor = endColor;
			endColor = new Color(red, green, blue, 255);
			currentTimeDuration = 0;
		}
	}
}
